Name: netpbm
Version: 9.24
Release: alt1

Summary: Tools for manipulating graphics files in netpbm supported formats
License: GPL
Group: Graphics

Source0:	netpbm-%version-nojbig.tar.bz2
Source1:	mf50-netpbm_filters
Source2:	test-images.tar.bz2

Patch0:		netpbm-9.8-install.patch
Patch1:		netpbm-9.9-time.patch
Patch2: 	netpbm-9.24-struct.patch
Patch3: 	netpbm-9.24-acox-fixes.patch

Requires: lib%name = %version-%release
Obsoletes: libgr-utils, libgr-progs
Provides: libgr-utils, libgr-progs

# Automatically added by buildreq on Mon Feb 10 2003
BuildRequires: flex libjpeg-devel libpng-devel libtiff-devel zlib-devel

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package -n lib%name
Summary: A library for handling different graphics file formats
Group: System/Libraries
Provides: libgr
Obsoletes: libgr

%description -n lib%name
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package -n lib%name-devel
Summary: Development tools for programs which will use the netpbm libraries
Group: Development/C
Requires: lib%name = %version-%release
Provides: libgr-devel
Obsoletes: libgr-devel

%description -n lib%name-devel
The netpbm-devel package contains the header files and programmer's
documentation for developing programs which can handle the various
graphics file formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries. You'll also
need to have the netpbm package installed.

%package -n lib%name-devel-static
Summary: Static netpbm libraries
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: libgr-devel-static
Obsoletes: libgr-devel-static

%description -n lib%name-devel-static
The netpbm-devel-static package contains the static libraries
for developing programs which can handle the various
graphics file formats supported by the netpbm libraries.

Install netpbm-devel-static if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries. You'll also
need to have the netpbm package installed.

%prep
%setup -q -a 2
%patch0 -p1 -b .install
%patch1 -p1 -b .time
%patch2 -p1 -b .struct

mv shhopt/shhopt.h shhopt/pbmshhopt.h
perl -pi -e 's|shhopt.h|pbmshhopt.h|g' `find -name "*.c" -o -name "*.h"` ./GNUmakefile

tar xjf %{SOURCE2}

%build
./configure <<EOF




/usr





EOF

TOP=`pwd`
make \
	CC=%{__cc} \
	CFLAGS="$RPM_OPT_FLAGS -fPIC" \
	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
	JPEGINC_DIR=%{_includedir} \
	PNGINC_DIR=%{_includedir} \
	TIFFINC_DIR=%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir}


%install

# thanx redhat
# Nasty hack to work around a useless ldconfig script
rm -f buildtools/try_ldconfig
ln -sf /bin/true buildtools/try_ldconfig

mkdir -p %buildroot/usr/share/printconf/mf_rules
cp %{SOURCE1} %buildroot/usr/share/printconf/mf_rules/

mkdir -p %buildroot/usr/share/printconf/tests
cp test-images/* %buildroot/usr/share/printconf/tests/

PATH="`pwd`:${PATH}" make install \
	JPEGINC_DIR=%buildroot/%{_includedir} \
	PNGINC_DIR=%buildroot/%{_includedir} \
	TIFFINC_DIR=%buildroot/%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir} \
	INSTALL_PREFIX=%buildroot/%{_prefix} \
	INSTALLBINARIES=%buildroot/%{_bindir} \
	INSTALLHDRS=%buildroot/%{_includedir} \
	INSTALLLIBS=%buildroot/%{_libdir} \
	INSTALLDATA=%buildroot/%{_datadir}/%{name}-%{version} \
	INSTALLMANUALS1=%buildroot/%{_mandir}/man1 \
	INSTALLMANUALS3=%buildroot/%{_mandir}/man3 \
	INSTALLMANUALS5=%buildroot/%{_mandir}/man5

# Install header files.
mkdir -p %buildroot/%{_includedir}
install -m644 pbm/pbm.h %buildroot/%{_includedir}/
#install -m644 pbmplus.h %buildroot/%{_includedir}/
install -m644 pgm/pgm.h %buildroot/%{_includedir}/
install -m644 pnm/pnm.h %buildroot/%{_includedir}/
install -m644 ppm/ppm.h %buildroot/%{_includedir}/
install -m644 shhopt/pbmshhopt.h %buildroot/%{_includedir}/

# Install the static-only librle.a
install -m644 urt/{rle,rle_config}.h %buildroot/%{_includedir}/
install -m644 urt/librle.a %buildroot/%{_libdir}/

# Fixup symlinks.
ln -sf gemtopnm %buildroot/%{_bindir}/gemtopbm
ln -sf pnmtoplainpnm %buildroot/%{_bindir}/pnmnoraw
rm -f %buildroot/%{_libdir}/libpbm.so
rm -f %buildroot/%{_libdir}/libpgm.so
rm -f %buildroot/%{_libdir}/libpnm.so
rm -f %buildroot/%{_libdir}/libppm.so
ln -sf libpbm.so.9 %buildroot/%{_libdir}/libpbm.so
ln -sf libpgm.so.9 %buildroot/%{_libdir}/libpgm.so
ln -sf libpnm.so.9 %buildroot/%{_libdir}/libpnm.so
ln -sf libppm.so.9 %buildroot/%{_libdir}/libppm.so


# Fixup perl paths in the two scripts that require it.
perl -pi -e 's^/bin/perl^%{__perl}^' %buildroot/%{_bindir}/{ppmfade,ppmshadow}

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig


%files -n lib%name
%_libdir/*.so.*
%doc COPYRIGHT.PATENT GPL_LICENSE.txt HISTORY README

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files
%attr(755,root,root) %_bindir/*
%_mandir/man[15]/*
%_datadir/%{name}-%{version}/*.map
%_datadir/printconf/mf_rules/*
%_datadir/printconf/tests/*

%changelog
* Mon Feb 10 2003 AEN <aen@altlinux.ru> 9.24-alt1
- 9.24
- spec changed, thnx to MDK & RH
- security patch (#4)

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 9.10-alt4
- rebuilt with gcc-3.2

* Thu Oct 11 2001 AEN <aen@logic.ru> 9.10-alt3
- rebuilt with libpng.so.3

* Fri Aug 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 9.10-alt2
- Specfile cleanup (still requires more cleanup).
- Fixed pnmindex script syntax.

* Thu Aug 16 2001 AEN <aen@logic.ru> 9.10-alt1
- first build for Sisyphus
- static package

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-4mdk
- added a builrequires to zlib-devel (Buchan Milne <bgmilne@cae.co.za>)
- corrected the 4 no-ldconfig-symlink errors (thx titi)

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 9.10-3mdk
- added missing obsoletes on libgr1-progs

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-2mdk
- added patch2 to fix bad include netpbm-shhopt.h
- added provides libgr

* Tue Jul 24 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-1mdk
- first MandrakeSoft package (stolen from d3bi4n and PLD)
    Obsoletes libgr libgr-progs libgr-devel
